解釋越獄剛推出後為什麼無法購買Cydia上的插件(Tweaks)

幾乎每年都會有這樣的問題產生,不少剛碰觸越獄的用戶都會詢問這方面問題,在越獄剛推出不久後,為什麼原本是付費的插件就會顯示無法購買狀態,看瘋先生的插件清單是能支援,那怎麼會無法購買呢?這篇要來說明為什麼會以這樣的問題發生,如果下次也遇到同樣的問題,先看完這篇原因就能夠瞭解。

 

越獄推出Cydia無法購買插件

每次在新版本越獄剛推出時,Cydia本身就會啟動防購買機制,這是為了防止越獄用戶買到不支援當前最新iOS版本,所設定的一項安全機制,當然你也可能會碰到作者擺爛不想更新的插件,導致會有後續退款問題。

所以想花錢購買插件(Tweak)前就要特別謹慎,要等越獄推出一段時間,插件也都差不多穩定後,購買機制才會被Cydia之父Saurik開啟,所以在這段更新期間,會導致無法購買你想要的插件,就先忍耐點,難道你想要強制裝上後,直接進入安全模式,那其實也並沒有比較好,只會造成iOS穩定度下降。

但為何無法購買情況下,有人可以安裝使用呢?這是因為先前早已經購買的用戶,可直接安裝使用,比起沒購買的用戶上就會有差異。

當然也有不少用戶為了貪圖方便,直接安裝免費版本,或是不瞭解插件僅能夠支援到iOS版本為何,強行安裝後導致各種安全模式或是衝突的發生。

其實這些現象都見怪不怪,最後才來反應”越獄後好不穩”,想重刷回原廠該怎麼辦?這種情況在瘋先生從寫教學以來,的確遇過不少這類型的越獄用戶,甚至有的就直接依照原始iOS清除所有設定和資料方式來處理,導致越獄環境被破壞,但Cydia部分資料還是依然殘留於iOS系統內,也沒裝OpenSSH,又發生了Cydia開啟出現錯誤紅色警告提示

再次提醒如果有越獄請先安裝好OpenSSH,這是越獄設備最後能用來救援功能,如果真的都不瞭解越獄,或是認為只要越獄好,可以順利打開Cydia安裝插件,這樣就沒事了,那真的建議真的不要越獄,因為越獄後,你需要瞭解的資訊也要不斷的提升,也要瞭解如何處理像是白蘋果安全模式找出衝突插件遇到紅黃色錯誤如何解決等。這些都是越獄後要瞭解的課題,避免導致糊裡糊塗的越獄,最後也糊裡糊塗的結束越獄生涯,就認為越獄會造成系統不穩定,反對越獄思維出現。

 

前提早購買招式

但還是有個方式可繞過安全限制機制,這方法不建議剛使用越獄的用戶,因為很多插件有些是無法能夠完美支援當前最新iOS版本,一切都要等作者更新後才能夠穩定,要是心急對於某款插件是很重要當前又可以支援,就可透過底下這方法來解決。

 

依舊還無法購買?

如顯示「This product is not currently certified to be compatible with your device.」或「This product is not supported on your iOS version.」警告訊息,就是該插件不支援你的硬體設備。就只能夠等作者更新才能使用到這項功能了!

▼ 如喜歡瘋先生教學歡迎加入粉絲團 ▼

★★ 除了粉絲團外,另也可以一起加入由瘋先生開設的臉書社團點我加入,裡面會有不少高手會一起跟大家互動,並回答問題。 ★★


★ 聲明:本文版權所有,非經瘋先生授權,不得轉載!如在其他網站上看見此篇教學,表示該篇文章為盜文,建議請回到mrmad.com.tw網站上觀看教學。

你可能有興趣的文章